const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const vehicle_trailer_links = sequelize.define(
    'vehicle_trailer_links',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

linked_from: {
        type: DataTypes.DATE,
      
      

      },

linked_to: {
        type: DataTypes.DATE,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  vehicle_trailer_links.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity















































//end loop



    db.vehicle_trailer_links.belongsTo(db.companies, {
      as: 'company',
      foreignKey: {
        name: 'companyId',
      },
      constraints: false,
    });

    db.vehicle_trailer_links.belongsTo(db.vehicles, {
      as: 'vehicle',
      foreignKey: {
        name: 'vehicleId',
      },
      constraints: false,
    });

    db.vehicle_trailer_links.belongsTo(db.trailers, {
      as: 'trailer',
      foreignKey: {
        name: 'trailerId',
      },
      constraints: false,
    });




    db.vehicle_trailer_links.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.vehicle_trailer_links.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return vehicle_trailer_links;
};


